#ifndef BISON_BISON_H
# define BISON_BISON_H

#ifndef YYSTYPE
typedef union {
  double fnum;          /* double number */
  int inum;             /* integer number */
  int token;            /* token of command */
  int sep;              /* number of newlines */
  char *string;         /* quoted string */
  char *symbol;         /* general symbol */
  char *digits;         /* string of digits */
  char *docu;		/* embedded documentation */
} yystype;
# define YYSTYPE yystype
# define YYSTYPE_IS_TRIVIAL 1
#endif
# define	tSEP	257
# define	tFNUM	258
# define	tSYMBOL	259
# define	tSTRSYM	260
# define	tDOCU	261
# define	tDIGITS	262
# define	tSTRING	263
# define	tFOR	264
# define	tTO	265
# define	tSTEP	266
# define	tNEXT	267
# define	tWHILE	268
# define	tWEND	269
# define	tREPEAT	270
# define	tUNTIL	271
# define	tIMPORT	272
# define	tGOTO	273
# define	tGOSUB	274
# define	tLABEL	275
# define	tON	276
# define	tSUB	277
# define	tENDSUB	278
# define	tLOCAL	279
# define	tSTATIC	280
# define	tEXPORT	281
# define	tERROR	282
# define	tEXECUTE	283
# define	tEXECUTE2	284
# define	tCOMPILE	285
# define	tRUNTIME_CREATED_SUB	286
# define	tINTERRUPT	287
# define	tBREAK	288
# define	tCONTINUE	289
# define	tSWITCH	290
# define	tSEND	291
# define	tCASE	292
# define	tDEFAULT	293
# define	tLOOP	294
# define	tDO	295
# define	tEOPROG	296
# define	tIF	297
# define	tTHEN	298
# define	tELSE	299
# define	tELSIF	300
# define	tENDIF	301
# define	tUSING	302
# define	tPRINT	303
# define	tINPUT	304
# define	tLINE	305
# define	tRETURN	306
# define	tDIM	307
# define	tEND	308
# define	tEXIT	309
# define	tAT	310
# define	tSCREEN	311
# define	tREVERSE	312
# define	tCOLOUR	313
# define	tBACKCOLOUR	314
# define	tAND	315
# define	tOR	316
# define	tNOT	317
# define	tEOR	318
# define	tNEQ	319
# define	tLEQ	320
# define	tGEQ	321
# define	tLTN	322
# define	tGTN	323
# define	tEQU	324
# define	tPOW	325
# define	tREAD	326
# define	tDATA	327
# define	tRESTORE	328
# define	tOPEN	329
# define	tCLOSE	330
# define	tSEEK	331
# define	tTELL	332
# define	tAS	333
# define	tREADING	334
# define	tWRITING	335
# define	tORIGIN	336
# define	tWINDOW	337
# define	tDOT	338
# define	tCIRCLE	339
# define	tTRIANGLE	340
# define	tTEXT	341
# define	tCLEAR	342
# define	tFILL	343
# define	tPRINTER	344
# define	tWAIT	345
# define	tBELL	346
# define	tLET	347
# define	tARDIM	348
# define	tARSIZE	349
# define	tBIND	350
# define	tRECT	351
# define	tGETBIT	352
# define	tPUTBIT	353
# define	tGETCHAR	354
# define	tPUTCHAR	355
# define	tNEW	356
# define	tCURVE	357
# define	tSIN	358
# define	tASIN	359
# define	tCOS	360
# define	tACOS	361
# define	tTAN	362
# define	tATAN	363
# define	tEXP	364
# define	tLOG	365
# define	tSQRT	366
# define	tSQR	367
# define	tMYEOF	368
# define	tABS	369
# define	tSIG	370
# define	tINT	371
# define	tFRAC	372
# define	tMOD	373
# define	tRAN	374
# define	tLEN	375
# define	tVAL	376
# define	tLEFT	377
# define	tRIGHT	378
# define	tMID	379
# define	tMIN	380
# define	tMAX	381
# define	tSTR	382
# define	tINKEY	383
# define	tCHR	384
# define	tASC	385
# define	tHEX	386
# define	tDEC	387
# define	tBIN	388
# define	tUPPER	389
# define	tLOWER	390
# define	tMOUSEX	391
# define	tMOUSEY	392
# define	tMOUSEB	393
# define	tMOUSEMOD	394
# define	tTRIM	395
# define	tLTRIM	396
# define	tRTRIM	397
# define	tINSTR	398
# define	tRINSTR	399
# define	tSYSTEM	400
# define	tSYSTEM2	401
# define	tPEEK	402
# define	tPEEK2	403
# define	tPOKE	404
# define	tDATE	405
# define	tTIME	406
# define	tTOKEN	407
# define	tTOKENALT	408
# define	tSPLIT	409
# define	tSPLITALT	410
# define	tGLOB	411
# define	UMINUS	412


extern YYSTYPE yylval;

#endif /* not BISON_BISON_H */
